Qt 5.6 | Qt 3D | C++ Classes | QBlendEquation

Qt 5.6.3 Reference Documentation

# QBlendEquation Class

(Qt3DRender::QBlendEquation)

Inherits: | QRenderState

- List of all members, including inherited members

## Public Types

enum | BlendMode { FuncAdd, FuncSubstract, FuncReverseSubstract, Min, Max }

## Properties

- mode : BlendMode

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QBlendEquation(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QBlendEquation()
BlendMode | mode() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setMode(BlendMode mode)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | modeChanged(BlendMode mode)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QBlendEquation::BlendMode

## Property Documentation

### mode : BlendMode

Access functions:

BlendMode | mode() const
void | setMode(BlendMode mode)

Notifier signal:

void | modeChanged(BlendMode mode)

## Member Function Documentation

### QBlendEquation::QBlendEquation(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QBlendEquation.

### QBlendEquation::~QBlendEquation()

Destroys the instance of QBlendEquation.

### `[protected]` void QBlendEquation::copy(const Qt3DCore::QNode *ref)